apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: macvlan-vepa
spec:
  config: '{
      "cniVersion": "0.3.0",
      "type": "macvlan",
      "master": "eno1",
      "mode": "vepa",
      "ipam": {
        "type": "host-local",
        "subnet": "10.1.1.0/24",
        "rangeStart": "10.1.1.100",
        "rangeEnd": "10.1.1.200",
        "routes": [
          { "dst": "0.0.0.0/0" }
        ],
        "gateway": "10.1.1.1"
      }
    }'
